OGRE: Ogre::GpuSharedParametersUsage Class Reference - OGRE Documentation

Classes | Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes

# Ogre::GpuSharedParametersUsage Class Reference
[Materials]

This class records the usage of a set of shared parameters in a concrete set of GpuProgramParameters. More...

`#include <OgreGpuProgramParams.h>`

Inheritance diagram for Ogre::GpuSharedParametersUsage:
[legend]

List of all members.

## Classes
struct | CopyDataEntry
## Public Member Functions
| GpuSharedParametersUsage (GpuSharedParametersPtr sharedParams, GpuProgramParameters *params)
| Construct usage.
void | _copySharedParamsToTargetParams ()
| Update the target parameters by copying the data from the shared parameters.
const String & | getName () const
| Get the name of the shared parameter set.
GpuSharedParametersPtr | getSharedParams () const
GpuProgramParameters * | getTargetParams () const
void | _setRenderSystemData (const Any &data) const
| Internal method that the RenderSystem might use to store optional data.
const Any & | _getRenderSystemData () const
| Internal method that the RenderSystem might use to store optional data.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Types
typedef vector< CopyDataEntry > ::type | CopyDataList
## Protected Member Functions
void | initCopyData ()
## Protected Attributes
GpuSharedParametersPtr | mSharedParams
GpuProgramParameters * | mParams
CopyDataList | mCopyDataList
Any | mRenderSystemData
unsigned long | mCopyDataVersion
| Version of shared params we based the copydata on.

## Detailed Description

This class records the usage of a set of shared parameters in a concrete set of GpuProgramParameters.

Definition at line 501 of file OgreGpuProgramParams.h.

## Member Typedef Documentation

typedef vector<CopyDataEntry>::type Ogre::GpuSharedParametersUsage::CopyDataList`[protected]`

Definition at line 513 of file OgreGpuProgramParams.h.

## Constructor & Destructor Documentation

Ogre::GpuSharedParametersUsage::GpuSharedParametersUsage | ( | GpuSharedParametersPtr | sharedParams,
|  | GpuProgramParameters * | params |
| ) |  |  |

Construct usage.

## Member Function Documentation

void Ogre::GpuSharedParametersUsage::_copySharedParamsToTargetParams | ( |  | ) |

Update the target parameters by copying the data from the shared parameters.

Note:
  This method may not actually be called if the RenderSystem supports using shared parameters directly in their own shared buffer; in which case the values should not be copied out of the shared area into the individual parameter set, but bound separately.

const Any& Ogre::GpuSharedParametersUsage::_getRenderSystemData | ( |  | ) | const

Internal method that the RenderSystem might use to store optional data.

Definition at line 549 of file OgreGpuProgramParams.h.

void Ogre::GpuSharedParametersUsage::_setRenderSystemData | ( | const Any & | data | ) | const

Internal method that the RenderSystem might use to store optional data.

Definition at line 547 of file OgreGpuProgramParams.h.

const String& Ogre::GpuSharedParametersUsage::getName | ( | void |  | ) | const

Get the name of the shared parameter set.

Definition at line 541 of file OgreGpuProgramParams.h.

GpuSharedParametersPtr Ogre::GpuSharedParametersUsage::getSharedParams | ( |  | ) | const

Definition at line 543 of file OgreGpuProgramParams.h.

GpuProgramParameters* Ogre::GpuSharedParametersUsage::getTargetParams | ( |  | ) | const

Definition at line 544 of file OgreGpuProgramParams.h.

void Ogre::GpuSharedParametersUsage::initCopyData | ( |  | ) | `[protected]`

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

CopyDataList Ogre::GpuSharedParametersUsage::mCopyDataList`[protected]`

Definition at line 515 of file OgreGpuProgramParams.h.

unsigned long Ogre::GpuSharedParametersUsage::mCopyDataVersion`[protected]`

Version of shared params we based the copydata on.

Definition at line 521 of file OgreGpuProgramParams.h.

GpuProgramParameters* Ogre::GpuSharedParametersUsage::mParams`[protected]`

Definition at line 506 of file OgreGpuProgramParams.h.

Any Ogre::GpuSharedParametersUsage::mRenderSystemData`[mutable, protected]`

Definition at line 518 of file OgreGpuProgramParams.h.

GpuSharedParametersPtr Ogre::GpuSharedParametersUsage::mSharedParams`[protected]`

Definition at line 504 of file OgreGpuProgramParams.h.

The documentation for this class was generated from the following file:

- OgreGpuProgramParams.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:55